# Push Notification

- [Request Permission](https://docs.apphive.io/apphive-documentacion/reference/funciones/push-notification/request-permission.md): The request permission function of the notification module requests permission from the user for the current origin to display notifications.
- [Send Push](https://docs.apphive.io/apphive-documentacion/reference/funciones/push-notification/send-push.md): Send notification messages that are displayed to your user. Or send data messages and determine completely what happens in your application code.
- [Trigger Apps Process](https://docs.apphive.io/apphive-documentacion/reference/funciones/push-notification/trigger-apps-process.md): Triggered push notifications, businesses can deliver personalized, relevant push notifications based on all available customer data, leveraging information such as user activity and behavior.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.apphive.io/apphive-documentacion/reference/funciones/push-notification.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
